cascading.tuple.coerce

## Class ObjectCoerce

- java.lang.Object
- - cascading.tuple.coerce.Coercions.Coerce<java.lang.Object>
  - - cascading.tuple.coerce.ObjectCoerce

All Implemented Interfaces:
  CoercibleType<java.lang.Object>, java.io.Serializable, java.lang.reflect.Type

    public class ObjectCoerce
    extends Coercions.Coerce<java.lang.Object>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ObjectCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> coercions)`

### Method Summary

Methods
`java.lang.Object` `coerce(java.lang.Object value)`
`java.lang.Class<java.lang.Object>` `getCanonicalType()`

### Methods inherited from class cascading.tuple.coerce.Coercions.Coerce

`canonical, coerce, equals, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectCoerce

    public ObjectCoerce(java.util.Map<java.lang.reflect.Type,Coercions.Coerce> coercions)

### Method Detail

#### getCanonicalType

    public java.lang.Class<java.lang.Object> getCanonicalType()

Returns:
  the actual Java type this CoercibleType represents

#### coerce

    public java.lang.Object coerce(java.lang.Object value)

Specified by:
  `coerce` in class `Coercions.Coerce<java.lang.Object>`